<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>MICRO DATA VIEWER</title>

  <?php include 'navlink.php' ?>

  <style>
    /* thead tr>th {
      padding: 14px 8px !important;
    } */

    .dt-search input {
      width: 50%;
    }

    #areaTable thead tr>th {
      font-size: 14px;
      text-align: center;
      padding: 8px 2px;
    }

    #areaTable tbody tr>td {
      font-size: 14px;
    }
  </style>

</head>

<body>

  <?php
  // Check if the user is logged in
  if (isset($_GET['show'])) {
    $GetID = $_GET['show'];

    // Assuming $DB_con is your PDO database connection
    $stmt_show = $conn->prepare('SELECT * FROM identity a
    LEFT JOIN `level-1` b ON a.`level-1-id` = b.`level-1-id` 
    LEFT JOIN `enu_info` c ON b.`level-1-id` = c.`level-1-id`
    WHERE `identity-id` = :uid');
    $stmt_show->execute(array(':uid' => $GetID));

    // Fetch the row
    if ($row = $stmt_show->fetch(PDO::FETCH_ASSOC)) {
      // Extracting variables from the fetched row
      extract($row);
    }
  }
  ?>


  <!-- Navbar start -->
  <?php include 'navbar.php' ?>
  <!-- Navbar end -->

  <!-- 1st Module start -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-12 mb-3 text-center">
        <div class="card alert alert-success">
          <div class="card-body p-0">
            <h2 style="font-family:Nikosh" class="text-center"><strong> ১.২। পিএসইউ’র (জিও-কোডভিত্তিক) পরিচিতি </strong> </h2>
          </div>
        </div>
      </div>

      <div class="col-12 mb-5">
        <table class="table table-bordered w-100 text-center" id="areaTable">
          <thead>
            <tr>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.১.৩। পিএসইউ </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১। বিভাগ কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.২। বিভাগের নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৩। জেলা কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৪। জেলার নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৫। সিটি কর্পোরেশনের কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৬। সিটি কর্পোরেশনের নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৭ উপজেলা কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৮। উপজেলার নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.৯। পৌরসভার কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১০। পৌরসভার নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১১। ইউনিয়ন/ওয়ার্ড কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১২। ইউনিয়ন/ওয়ার্ডের নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৩। মৌজা কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৪। মৌজার নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৫। গ্রামের কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৬। গ্রামের নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৭। ইএ (গণনা এলাকা) নং </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৮। ইএ-এর মোট খানা সংখ্যা </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.১৯। আরএমও (কোড) </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.২০। আরএমও (পল্লী/শহর) </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.২১। তারিখ (তথ্য সংগ্রহ শুরু) </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.২.২২। ডিভাইস নং </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td><?= $row['psu_id'] ?></td>
              <td><?= $row['div_cd_ai'] ?></td>
              <Td><?= $row['div_nm_ai'] ?></td>
              <td><?= $row['dist_cd_ai'] ?></td>
              <td><?= $row['dist_nm_ai'] ?></td>
              <td><?= $row['ctc_cd_ai'] ?></td>
              <td><?= $row['ctc_nm_ai'] ?></td>
              <td><?= $row['upz_cd_ai'] ?></td>
              <td><?= $row['upz_nm_ai'] ?></td>
              <td><?= $row['muni_cd_ai'] ?></td>
              <td><?= $row['muni_nm_ai'] ?></td>
              <td><?= $row['un_cd_ai'] ?></td>
              <td><?= $row['un_nm_ai'] ?></td>
              <td><?= $row['mz_cd_ai'] ?></td>
              <td><?= $row['mz_nm_ai'] ?></td>
              <td><?= $row['vl_cd_ai'] ?></td>
              <td><?= $row['vl_nm_ai'] ?></td>
              <td><?= $row['ea_ai'] ?></td>
              <td><?= $row['ea_tot_hh_ai'] ?></td>
              <td><?= $row['rmc_ai'] ?></td>
              <td><?= $row['rmo_ai'] ?></td>
              <td><?= $row['dt_ai'] ?></td>
              <td><?= $row['device_no'] ?></td>
            </tr>
          </tbody>
        </table>
      </div>
      <!-- 1st Module end -->

      <!-- 2nd Module start -->
      <div class="col-12 mb-3 text-center">
        <div class="card alert alert-success">
          <div class="card-body p-0">
            <h2 style="font-family:Nikosh" class="text-center"><strong> ১.৩। তথ্য সংগ্রহকারীর পরিচিতি </strong> </h2>
          </div>
        </div>
      </div>

      <div class="col-12">
        <table class="table table-striped table-bordered w-100 align-middle text-center">
          <thead>
            <tr>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.১.৩। পিএসইউ </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.৩.১। তথ্য সংগ্রহকারীর কোড </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.৩.২। তথ্য সংগ্রহকারীর নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.৩.৩। তথ্য সংগ্রহকারীর পদবী </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.৩.৪। তথ্য সংগ্রহকারীর কর্মস্থল </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.৩.৫। তথ্য সংগ্রহকারীর মোবাইল ফোন নং </th>
            </tr>
          </thead>

          <tbody>
            <?php
            $GetID = $_GET['show'];
            $stmt_sql = $conn->prepare('SELECT * FROM identity a 
            LEFT JOIN `level-1` b ON a.`level-1-id` = b.`level-1-id`
            LEFT JOIN `enu_info` c ON b.`level-1-id` = c.`level-1-id`
            WHERE a.`identity-id` = :uid');

            $stmt_sql->execute(array(':uid' => $GetID));

            $result = $stmt_sql->fetchAll();

            foreach ($result as $key => $row) { ?>
              <tr>
                <td><?= $row['psu_id'] ?></td>
                <td><?= $row['enu_cd_ei'] ?></td>
                <td><?= $row['enu_nm_ei'] ?></td>
                <td><?= $row['enu_designation_ei'] ?></td>
                <td><?= $row['posting_ei'] ?></td>
                <td><?= $row['enu_mob_ei'] ?></td>
              </tr>
            <?php } ?>
          </tbody>
        </table>
      </div>
      <!-- 2nd Module end -->

      <!-- 3rd Module start -->
      <div class="col-12 mb-3 text-center">
        <div class="card alert alert-success">
          <div class="card-body p-0">
            <h2 style="font-family:Nikosh" class="text-center"><strong> ২। খানা তালিকা</strong> </h2>
          </div>
        </div>
      </div>

      <div class="col-12">
        <table class="table table-striped table-bordered w-100 align-middle text-center">
          <thead>
            <tr>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ১.১.৩। পিএসইউ </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.০। লিষ্টিং ক্রমিক নং </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.০। লিষ্টিং খানা নং </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১। খানা প্রধানের নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.২। খানা প্রধানের পিতা/স্বামীর নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৩। খানা প্রধানের মাতার নাম </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৪। খানা প্রধানের পেশা </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৪.১। অন্যান্য উল্লেখ করুন </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৫। খানা প্রধানের লিঙ্গ </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৬। খানা প্রধানের বয়স </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৭। বাড়ীর নাম/নম্বর/হোল্ডিং নং/ফ্লাট নং/রাস্তা........ </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৮। খানার মোবাইল ফোন নং </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.৯। খানার মোট সদস্য সংখ্যা </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১০। গত ৯০ দিনের মধ্যে এই খানার কোন সদস্য কোন রোগে ভুগেছেন বা ভুঘছেন কি? </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১১। ল্যাটিচিউড (অক্ষাংশ) </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১১। লংগিচিউড (দ্রাঘিমাংশ) </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১২। সময় </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১৩। তারিখ </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১৪। মন্তব্য </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১৫। ডিভাইস নং </th>
              <th style="font-family:Nikosh" class="text-center" scope="col"> ২.১৬। এন্ট্রি চলমান/স্থগিত/সমাপ্ত </th>
            </tr>
          </thead>

          <tbody>
            <?php
            $GetID = $_GET['show'];
            $stmt_sql = $conn->prepare('SELECT * FROM identity a 
            LEFT JOIN `level-1` b ON a.`level-1-id` = b.`level-1-id`
            LEFT JOIN `household_info` c ON b.`level-1-id` = c.`level-1-id`
            WHERE a.`identity-id` = :uid');

            $stmt_sql->execute(array(':uid' => $GetID));

            $result = $stmt_sql->fetchAll();

            foreach ($result as $key => $row) { ?>
              <tr>
                <td><?= $row['psu_id'] ?></td>
                <td><?= $row['q2_0a'] ?></td>
                <td><?= $row['q2_0'] ?></td>
                <td><?= $row['q2_1'] ?></td>
                <td><?= $row['q2_2'] ?></td>
                <td><?= $row['q2_3'] ?></td>
                <td><?= $row['q2_4'] ?></td>
                <td><?= $row['q2_4_oth'] ?></td>
                <td><?= $row['q2_5'] ?></td>
                <td><?= $row['q2_6'] ?></td>
                <td><?= $row['q2_7'] ?></td>
                <td><?= $row['q2_8'] ?></td>
                <td><?= $row['q2_9'] ?></td>
                <td><?= $row['q2_10'] ?></td>
                <td><?= $row['latitude'] ?></td>
                <td><?= $row['longitude'] ?></td>
                <td><?= $row['st'] ?></td>
                <td><?= $row['dt'] ?></td>
                <td><?= $row['comments'] ?></td>
                <td><?= $row['device_no_row'] ?></td>
                <td><?= $row['the_end'] ?></td>
              </tr>
            <?php } ?>
          </tbody>
        </table>
      </div>
      <!-- 3rd Module end -->

      <!-- reserve -->
    </div>
  </div>
  <!-- reserve -->





  <!-- Script JS start -->
  <?php include 'script.php' ?>
  <!-- Script JS end -->

</body>

</html>