<!doctype html>
<html lang="en">

<head>

  <title>MICRO DATA VIEWER - All Users</title>

  <?php include 'navlink.php' ?>

</head>

<body>

  <!-- Navbar start -->
  <?php include 'navbar.php' ?>
  <!-- Navbar end -->

  <div class="container">
    <div class="row">
      <div class="col-md-12 mb-3 text-center">
        <div class="card alert alert-success">
          <div class="card-body p-0">
            <h3 class="m-0"><strong>NATIONAL THALASSEMIA SURVEY, 2023</strong></h3>
          </div>
        </div>
      </div>

      <div class="col-12">
        <table class="table border table-striped align-middle" id="myTable">
          <thead class="alert alert-success">
            <tr>
              <th width="4%">SL</th>
              <th>PSU</th>
              <th>Division</th>
              <th>District</th>
              <th>Username</th>
              <th>Password</th>
              <th>Role</th>
            </tr>
          </thead>

          <tbody>

            <?php
            $userId = $_SESSION['user_id'];
            $sqlUser = "SELECT * FROM tbl_user WHERE user_id = $userId";
            $resultUser = mysqli_query($con, $sqlUser);
            $rowUser = mysqli_fetch_assoc($resultUser);
            // echo 'PSU No: ' . $rowUser['psu'] . ' User Name: ' . $rowUser['username'] . ' User ID: ' . $rowUser['user_id'];
            $divCD = $rowUser["div_cd"];
            $distCD = $rowUser["dist_cd"];


            if ($distCD && $rowUser["role"] == 2) {
              $query = "SELECT * FROM tbl_user WHERE `role` != 3 AND `role` != 4 AND dist_cd = $distCD ORDER BY psu DESC";
            } elseif ($divCD && $rowUser["role"] == 3) {
              $query = "SELECT * FROM tbl_user WHERE `role` != 4  AND div_cd = $divCD ORDER BY psu DESC";
            } else {
              $query = "SELECT * FROM tbl_user ORDER BY psu DESC";
            }


            $query_run = mysqli_query($con, $query);

            if (mysqli_num_rows($query_run) > 0) {
              foreach ($query_run as $key => $item) { ?>
                <tr>
                  <td><?= str_pad($key + 1, 2, 0, STR_PAD_LEFT) ?></td>
                  <td><?= $item['psu'] ?></td>
                  <td><?= $item['div_nm'] ?></td>
                  <td><?= $item['dist_nm'] ?></td>
                  <td><?= $item['username'] ?></td>
                  <td><?= $item['password'] ?></td>
                  <td><?= $item['role'] ?></td>
                </tr>
            <?php
              }
            }
            ?>
          </tbody>

        </table>
      </div>

    </div>
  </div>

  <!-- Script JS start -->
  <?php include 'script.php' ?>
  <!-- Script JS end -->

</body>

</html>